Get resolved profile facts
curl --request GET \
--url https://api.swapnice.com/v1/profiles/{customer_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.swapnice.com/v1/profiles/{customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.swapnice.com/v1/profiles/{customer_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"customer_id": "<string>",
"facts": [
{
"attribute": "<string>",
"resolved_value": "<string>",
"confidence": 0.5,
"resolution_method": "<string>",
"consent_purpose": "account_linking",
"evidence": [
{
"id": "<string>",
"customer_id": "<string>",
"attribute": "<string>",
"value": "<string>",
"source": "<string>",
"observed_at": "2023-11-07T05:31:56Z",
"consent_purpose": "account_linking",
"confidence": 0.5,
"provenance": {
"source_partner": "<string>",
"collected_at": "2023-11-07T05:31:56Z",
"source_system": "<string>",
"evidence_url": "<string>"
},
"context": "<string>"
}
],
"alternatives": [
{
"value": "<string>",
"confidence": 0.5,
"reason": "<string>"
}
]
}
],
"resolved_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "consent_denied",
"message": "<string>",
"request_id": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
]
}
}{
"error": {
"code": "consent_denied",
"message": "<string>",
"request_id": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
]
}
}Profiles
Get a resolved profile
Synchronous facts with confidence, evidence, and alternatives.
GET
/
v1
/
profiles
/
{customer_id}
Get resolved profile facts
curl --request GET \
--url https://api.swapnice.com/v1/profiles/{customer_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.swapnice.com/v1/profiles/{customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.swapnice.com/v1/profiles/{customer_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"customer_id": "<string>",
"facts": [
{
"attribute": "<string>",
"resolved_value": "<string>",
"confidence": 0.5,
"resolution_method": "<string>",
"consent_purpose": "account_linking",
"evidence": [
{
"id": "<string>",
"customer_id": "<string>",
"attribute": "<string>",
"value": "<string>",
"source": "<string>",
"observed_at": "2023-11-07T05:31:56Z",
"consent_purpose": "account_linking",
"confidence": 0.5,
"provenance": {
"source_partner": "<string>",
"collected_at": "2023-11-07T05:31:56Z",
"source_system": "<string>",
"evidence_url": "<string>"
},
"context": "<string>"
}
],
"alternatives": [
{
"value": "<string>",
"confidence": 0.5,
"reason": "<string>"
}
]
}
],
"resolved_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "consent_denied",
"message": "<string>",
"request_id": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
]
}
}{
"error": {
"code": "consent_denied",
"message": "<string>",
"request_id": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
]
}
}Synchronous facts with confidence, evidence, and alternatives.
Pass
consent_purpose to enforce the live consent gate. Sample bodies: outputs.Authorizations
OAuth 2.1 authorization code with PKCE. Implicit and password flows are unsupported.
Path Parameters
Query Parameters
Available options:
account_linking, personalization, analytics, support, event_enrichment, profile_resolution, measurement ⌘I